Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-6877996

update deployJava.js for chrome and beter version detection

    Details

    • Type: Enhancement
    • Status: Closed
    • Priority: P3
    • Resolution: Fixed
    • Affects Version/s: 6u10, 6u15, 6u18
    • Fix Version/s: 6u18
    • Component/s: deploy
    • Labels:
    • Subcomponent:
    • Resolved In Build:
      b05
    • CPU:
      generic, x86
    • OS:
      generic, windows_vista
    • Verification:
      Verified

      Backports

        Description

        We discovered that chrome and safari require a "code" attribute to run an applet.
        In order to provide support on these browsers, deployJava.js should generate a dummy code attribute if one is not supplied by the caller.
        any value will do such as code="ignored" but missing this attribute causes the plugin to never be invoked.

        Also discovered, Chrome and Firefox could return the exact update version of the latest jre installed even w/o the dt plugins installed. We should update the detection logic to return the full version from getJREs() when that is possible.

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  herrick Andy Herrick
                  Reporter:
                  herrick Andy Herrick
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  0 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved:
                    Imported:
                    Indexed: